#include "hUGEDriver.h"
#include <stddef.h>

static const unsigned char order_cnt = 18;

static const unsigned char P0[] = {
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(G_5,5,0xC27),
    DN(G_5,5,0xC27),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_5,5,0xC27),
    DN(___,0,0x000),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(___,0,0x000),
    DN(As5,5,0xC27),
    DN(C_6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(As5,5,0xC27),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P1[] = {
    DN(C_7,7,0xC24),
    DN(___,0,0x8DF),
    DN(G_6,7,0xC24),
    DN(G_6,7,0xC24),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_6,7,0xC24),
    DN(___,0,0x000),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(___,0,0x000),
    DN(As6,7,0xC24),
    DN(C_7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(As6,7,0xC24),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P2[] = {
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
    DN(As4,7,0xC08),
    DN(___,0,0xA0F),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(___,0,0xA0F),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(___,0,0xA0F),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(As4,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(C_5,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
};
static const unsigned char P3[] = {
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
};
static const unsigned char P4[] = {
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(G_5,5,0xC27),
    DN(G_5,5,0xC27),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_5,5,0xC27),
    DN(___,0,0x000),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(___,0,0x000),
    DN(As5,5,0xC27),
    DN(C_6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(As6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(As6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P5[] = {
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(G_6,7,0xC24),
    DN(G_6,7,0xC24),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_6,7,0xC24),
    DN(___,0,0x000),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(___,0,0x000),
    DN(As6,7,0xC24),
    DN(C_7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(As7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(As7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P6[] = {
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P7[] = {
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC27),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P8[] = {
    DN(Gs4,7,0xC08),
    DN(___,0,0xA0F),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(___,0,0xA0F),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(___,0,0xA0F),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
    DN(F_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xA0F),
};
static const unsigned char P9[] = {
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P10[] = {
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P11[] = {
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P12[] = {
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(Ds4,7,0xC08),
    DN(___,0,0xA0F),
    DN(Ds4,7,0xC08),
    DN(Ds4,7,0xC08),
    DN(D_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(D_4,7,0xC08),
    DN(D_4,7,0xC08),
    DN(C_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(C_4,7,0xC08),
    DN(C_4,7,0xC08),
    DN(B_3,7,0xC08),
    DN(___,0,0xA0F),
    DN(B_3,7,0xC08),
    DN(B_3,7,0xC08),
    DN(As3,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_3,7,0xC08),
    DN(___,0,0xA0F),
    DN(Gs3,7,0xC08),
    DN(___,0,0xA0F),
    DN(As3,7,0xC08),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P14[] = {
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs6,5,0xC27),
    DN(As6,5,0xC27),
    DN(C_7,5,0xC27),
    DN(As6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(C_7,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(As6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(As6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P15[] = {
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs7,7,0xC24),
    DN(As7,7,0xC24),
    DN(C_8,7,0xC24),
    DN(As7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(C_8,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(As7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(As7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P16[] = {
    DN(Gs4,7,0xC08),
    DN(___,0,0xA0F),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(Gs4,7,0xC08),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(G_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(F_4,7,0xC08),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds4,7,0xC08),
    DN(___,0,0xA0F),
    DN(Ds4,7,0xC08),
    DN(Ds4,7,0xC08),
    DN(Ds4,7,0xC08),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P18[] = {
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs6,5,0xC27),
    DN(As6,5,0xC27),
    DN(C_7,5,0xC27),
    DN(As6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(C_7,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(As6,5,0xC27),
    DN(Gs6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(As6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs6,5,0xC27),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_5,5,0xC27),
    DN(___,0,0x000),
};
static const unsigned char P19[] = {
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs7,7,0xC24),
    DN(As7,7,0xC24),
    DN(C_8,7,0xC24),
    DN(As7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(C_8,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(As7,7,0xC24),
    DN(Gs7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(As7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs7,7,0xC24),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(G_6,7,0xC24),
    DN(___,0,0x000),
};
static const unsigned char P25[] = {
    DN(G_6,5,0xC27),
    DN(___,0,0x000),
    DN(G_6,5,0xC27),
    DN(G_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(___,0,0x000),
    DN(F_6,5,0xC27),
    DN(F_6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(___,0,0x000),
    DN(Ds6,5,0xC27),
    DN(Ds6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(___,0,0x000),
    DN(D_6,5,0xC27),
    DN(D_6,5,0xC27),
    DN(C_6,5,0xC27),
    DN(___,0,0x000),
    DN(C_6,5,0xC27),
    DN(C_6,5,0xC27),
    DN(B_5,5,0xC27),
    DN(___,0,0x000),
    DN(B_5,5,0xC27),
    DN(B_5,5,0xC27),
    DN(As5,5,0xC27),
    DN(___,0,0x000),
    DN(G_5,5,0xC27),
    DN(___,0,0x000),
    DN(Gs5,5,0xC27),
    DN(___,0,0x000),
    DN(As5,5,0xC27),
    DN(___,0,0xB01),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P26[] = {
    DN(G_7,7,0xC24),
    DN(___,0,0x000),
    DN(G_7,7,0xC24),
    DN(G_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(___,0,0x000),
    DN(F_7,7,0xC24),
    DN(F_7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(___,0,0x000),
    DN(Ds7,7,0xC24),
    DN(Ds7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(___,0,0x000),
    DN(D_7,7,0xC24),
    DN(D_7,7,0xC24),
    DN(C_7,7,0xC24),
    DN(___,0,0x000),
    DN(C_7,7,0xC24),
    DN(C_7,7,0xC24),
    DN(B_6,7,0xC24),
    DN(___,0,0x000),
    DN(B_6,7,0xC24),
    DN(B_6,7,0xC24),
    DN(As6,7,0xC24),
    DN(___,0,0x000),
    DN(G_6,7,0xC24),
    DN(___,0,0x000),
    DN(Gs6,7,0xC24),
    DN(___,0,0x000),
    DN(As6,7,0xC24),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};

static const unsigned char* const order1[] = {P0,P4,P0,P4,P6,P10,P14,P18,P25};
static const unsigned char* const order2[] = {P1,P5,P1,P5,P7,P11,P15,P19,P26};
static const unsigned char* const order3[] = {P2,P2,P2,P2,P8,P8,P16,P8,P12};
static const unsigned char* const order4[] = {P3,P3,P3,P3,P3,P3,P9,P3,P3};

static const unsigned char duty_instruments[] = {
8,0,240,128,
8,64,240,128,
8,128,240,128,
8,192,240,128,
8,0,241,128,
8,64,241,128,
8,128,241,128,
8,192,241,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
};
static const unsigned char wave_instruments[] = {
0,32,0,128,
0,32,1,128,
0,32,2,128,
0,96,3,128,
0,32,4,128,
0,32,5,128,
0,32,6,128,
0,32,7,128,
0,32,8,128,
0,32,9,128,
0,32,10,128,
0,32,11,128,
0,32,12,128,
0,32,13,128,
0,32,14,128,
};
static const unsigned char noise_instruments[] = {
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
};

static const unsigned char waves[] = {
    0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
    0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,
    0,1,18,35,52,69,86,103,120,137,154,171,188,205,222,239,
    254,220,186,152,118,84,50,16,18,52,86,120,154,188,222,255,
    122,205,219,117,33,19,104,189,220,151,65,1,71,156,221,184,
    15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
    254,252,250,248,246,244,242,240,242,244,246,248,250,252,254,255,
    254,221,204,187,170,153,136,119,138,189,241,36,87,138,189,238,
    132,17,97,237,87,71,90,173,206,163,23,121,221,32,3,71,
    71,115,157,231,157,55,198,190,218,219,238,186,4,221,23,164,
    154,146,224,227,2,25,178,26,36,148,106,96,137,82,93,183,
    20,174,125,238,218,101,183,3,92,50,20,166,174,148,165,173,
    179,176,225,119,52,186,170,120,7,110,169,195,10,178,217,89,
    114,157,188,132,126,225,147,68,141,186,1,48,18,83,90,46,
};

const hUGESong_t ridingSong = {6, &order_cnt, order1, order2, order3,order4, duty_instruments, wave_instruments, noise_instruments, NULL, waves};
