#include "hUGEDriver.h"
#include <stddef.h>

static const unsigned char order_cnt = 8;

static const unsigned char P0[] = {
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(E_6,3,0xC27),
    DN(G_6,3,0xC27),
    DN(___,0,0x000),
    DN(D_6,3,0xC27),
    DN(G_6,3,0xC27),
    DN(___,0,0x000),
    DN(D_6,3,0xC27),
    DN(G_6,3,0xC27),
    DN(D_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(E_6,3,0xC27),
    DN(G_6,3,0xC27),
    DN(___,0,0x000),
    DN(D_6,3,0xC27),
    DN(G_6,3,0xC27),
    DN(___,0,0x000),
    DN(D_6,3,0xC27),
    DN(G_6,3,0xC27),
    DN(D_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(___,0,0x000),
    DN(E_6,3,0xC27),
    DN(A_6,3,0xC27),
    DN(E_6,3,0xC27),
};
static const unsigned char P1[] = {
    DN(___,0,0x8DB),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(A_6,2,0xC28),
    DN(___,0,0x000),
    DN(G_6,2,0xC28),
    DN(___,0,0x000),
    DN(D_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,2,0xC28),
    DN(G_6,2,0xC28),
    DN(___,0,0x000),
    DN(A_6,2,0xC28),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(A_6,2,0xC28),
    DN(___,0,0x000),
    DN(A_6,2,0xC2A),
    DN(___,0,0x000),
    DN(E_6,2,0xC2A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC2A),
    DN(A_6,2,0xC2A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(A_6,2,0xC28),
    DN(___,0,0x000),
    DN(G_6,2,0xC28),
    DN(___,0,0x000),
    DN(D_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,2,0xC28),
    DN(G_6,2,0xC28),
    DN(___,0,0x000),
    DN(A_6,2,0xC28),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(A_6,2,0xC28),
    DN(___,0,0x000),
    DN(A_6,2,0xC2A),
    DN(___,0,0x000),
    DN(E_6,2,0xC2A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC2A),
    DN(A_6,2,0xC2A),
    DN(___,0,0x000),
};
static const unsigned char P2[] = {
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(G_4,4,0xC08),
    DN(___,0,0x000),
    DN(D_4,4,0xC08),
    DN(G_4,4,0xC08),
    DN(___,0,0x000),
    DN(D_4,4,0xC08),
    DN(G_4,4,0xC08),
    DN(D_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(G_4,4,0xC08),
    DN(___,0,0x000),
    DN(D_4,4,0xC08),
    DN(G_4,4,0xC08),
    DN(___,0,0x000),
    DN(D_4,4,0xC08),
    DN(G_4,4,0xC08),
    DN(D_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(A_4,4,0xC08),
    DN(E_4,4,0xC08),
};
static const unsigned char P3[] = {
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
};
static const unsigned char P4[] = {
    DN(F_6,3,0xC2C),
    DN(F_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,3,0xC2C),
    DN(E_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,3,0xC2C),
    DN(D_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,3,0xC2C),
    DN(C_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_6,3,0xC2C),
    DN(F_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,3,0xC2C),
    DN(E_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,3,0xC2C),
    DN(D_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,3,0xC2C),
    DN(E_6,3,0xC2C),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P5[] = {
    DN(F_6,2,0xC28),
    DN(F_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,2,0xC28),
    DN(D_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,2,0xC28),
    DN(C_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_6,2,0xC28),
    DN(F_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_6,2,0xC28),
    DN(D_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,2,0xC28),
    DN(E_6,2,0xC28),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P6[] = {
    DN(F_4,4,0xC08),
    DN(F_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_4,4,0xC08),
    DN(D_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_4,4,0xC08),
    DN(C_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_4,4,0xC08),
    DN(F_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_4,4,0xC08),
    DN(D_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,4,0xC08),
    DN(E_4,4,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xC00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P7[] = {
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0x000),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0x000),
};
static const unsigned char P12[] = {
    DN(B_6,3,0xC19),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(B_6,3,0xC19),
    DN(___,0,0xA0F),
    DN(B_6,3,0xC19),
    DN(Cs7,5,0xC19),
    DN(___,0,0xB01),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P13[] = {
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};

static const unsigned char* const order1[] = {P0,P0,P4,P13};
static const unsigned char* const order2[] = {P1,P1,P5,P13};
static const unsigned char* const order3[] = {P2,P2,P6,P13};
static const unsigned char* const order4[] = {P3,P3,P7,P12};

static const unsigned char duty_instruments[] = {
8,0,240,128,
8,64,240,128,
8,128,240,128,
8,192,240,128,
8,0,241,128,
8,64,241,128,
8,128,241,128,
8,192,241,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
};
static const unsigned char wave_instruments[] = {
0,32,0,128,
0,32,1,128,
0,32,2,128,
0,32,3,128,
0,32,4,128,
0,32,5,128,
0,32,6,128,
0,32,7,128,
0,32,8,128,
0,32,9,128,
0,32,10,128,
0,32,11,128,
0,32,12,128,
0,32,13,128,
0,32,14,128,
};
static const unsigned char noise_instruments[] = {
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
};

static const unsigned char waves[] = {
    0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
    0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,
    0,1,18,35,52,69,86,103,120,137,154,171,188,205,222,239,
    254,220,186,152,118,84,50,16,18,52,86,120,154,188,222,255,
    122,205,219,117,33,19,104,189,220,151,65,1,71,156,221,184,
    15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
    254,252,250,248,246,244,242,240,242,244,246,248,250,252,254,255,
    254,221,204,187,170,153,136,119,138,189,241,36,87,138,189,238,
    132,17,97,237,87,71,90,173,206,163,23,121,221,32,3,71,
    201,86,54,202,132,38,237,90,164,173,99,11,185,62,49,131,
    178,136,189,182,168,54,99,155,132,74,128,126,9,35,20,219,
    80,68,162,123,18,193,12,19,167,2,169,85,194,80,59,196,
    224,25,180,221,102,38,236,78,75,103,53,187,84,64,66,166,
    99,122,102,66,4,69,61,225,60,93,8,107,129,192,149,189,
};

const hUGESong_t shootingSong = {12, &order_cnt, order1, order2, order3,order4, duty_instruments, wave_instruments, noise_instruments, NULL, waves};
